/ CTA
%p.cta.text-center
  - datafile.cta.each_with_index do |cta, i|
    - if cta.link != nil
      = link_to(cta.title, "#{cta.link}", class: "btn btn-lg btn-red webcast-button", target: "_blank")

/ MVP
%section#mvp.mvp.gray-section
  - datafile.mvp do |mvp|
    .release-post-section
      %img{:src => "/images/mvp_badge.png", :alt => "GitLab MVP badge"}/
      %h2{:id => "mvp"}
        %a.header-link{href: "#mvp"}
        This month's Most Valuable Person
        %a{href: "/mvp/"} MVP
        is
        = link_to(mvp.fullname, "https://gitlab.com/#{mvp.gitlab}")
      = kramdown(mvp.description)


/ top feature
%section#top-feature.release-post-section
  - datafile.features.top.each do |top_feature|
    %h2{:id => "#{top_feature.name.downcase.tr(" ", "-")}"}
      %a.header-link{href: "##{top_feature.name.downcase.tr(" ", "-")}"}
      = top_feature.name
      .badge-container
        - top_feature.available_in.each do |available_in|
          - if available_in == "ce"
            %a{"title" => "GitLab Community Edition", "data-toggle" => "tooltip", "data-placement" => "top"}
              %span{class: "#{available_in}"}
                = "#{available_in}"
          - if available_in == "ees"
            %a{"title" => "GitLab Enterprise Edition Starter", "data-toggle" => "tooltip", "data-placement" => "top"}
              %span{class: "#{available_in}"}
                = "#{available_in}"
          - if available_in == "eep"
            %a{"title" => "GitLab Enterprise Edition Premium", "data-toggle" => "tooltip", "data-placement" => "top"}
              %span{class: "#{available_in}"}
                = "#{available_in}"
    = kramdown(top_feature.description)
    .column
      - if top_feature.image_url
        - if top_feature.image_noshadow == true
          %img{:src => "#{top_feature.image_url}", :alt => "#{top_feature.name}"}/
        - else
          %img{class: "shadow", :src => "#{top_feature.image_url}", :alt => "#{top_feature.name}"}/
    %p
      %i.fa.fa-book
      %a{href: "#{top_feature.documentation_link}", target: "_blank"}
        - if top_feature.documentation_text
          = top_feature.documentation_text
        - else
          Read through the documentation on
          = top_feature.name

/ primary features
%section#primary-features
  - datafile.features.primary.each_with_index do |primary_feature, i|
    - if i.even?
      %hr/
      .release-row
        .column
          %h2{:id => "#{primary_feature.name.downcase.tr(" ", "-")}"}
            %a.header-link{href: "##{primary_feature.name.downcase.tr(" ", "-")}"}
            = primary_feature.name
            .badge-container
              - primary_feature.available_in.each do |available_in|
                - if available_in == "ce"
                  %a{"title" => "GitLab Community Edition", "data-toggle" => "tooltip", "data-placement" => "top"}
                    %span{class: "#{available_in}"}
                      = "#{available_in}"
                - if available_in == "ees"
                  %a{"title" => "GitLab Enterprise Edition Starter", "data-toggle" => "tooltip", "data-placement" => "top"}
                    %span{class: "#{available_in}"}
                      = "#{available_in}"
                - if available_in == "eep"
                  %a{"title" => "GitLab Enterprise Edition Premium", "data-toggle" => "tooltip", "data-placement" => "top"}
                    %span{class: "#{available_in}"}
                      = "#{available_in}"
          = kramdown(primary_feature.description)
          - if primary_feature.documentation_link != nil
            %p
              %i.fa.fa-book
              %a{href: "#{primary_feature.documentation_link}", target: "_blank"}
                - if primary_feature.documentation_text
                  = primary_feature.documentation_text
                - else
                  Read through the documentation on
                  = primary_feature.name
        .column
          - if primary_feature.video
            %figure.video_container
              %iframe{:src => "#{primary_feature.video}", :frameborder => "0", :allowfullscreen => "true"}
          - else
            - if primary_feature.image_noshadow == true
              %img{:src => "#{primary_feature.image_url}", :alt => "#{primary_feature.name}"}/
            - else
              %img{class: "shadow", :src => "#{primary_feature.image_url}", :alt => "#{primary_feature.name}"}/
    - else
      %hr/
      .release-row.image-left
        .column.text-column
          %h2{:id => "#{primary_feature.name.downcase.tr(" ", "-")}"}
            %a.header-link{href: "##{primary_feature.name.downcase.tr(" ", "-")}"}
            = primary_feature.name
            .badge-container
              - primary_feature.available_in.each do |available_in|
                - if available_in == "ce"
                  %a{"title" => "GitLab Community Edition", "data-toggle" => "tooltip", "data-placement" => "top"}
                    %span{class: "#{available_in}"}
                      = "#{available_in}"
                - if available_in == "ees"
                  %a{"title" => "GitLab Enterprise Edition Starter", "data-toggle" => "tooltip", "data-placement" => "top"}
                    %span{class: "#{available_in}"}
                      = "#{available_in}"
                - if available_in == "eep"
                  %a{"title" => "GitLab Enterprise Edition Premium", "data-toggle" => "tooltip", "data-placement" => "top"}
                    %span{class: "#{available_in}"}
                      = "#{available_in}"
          = kramdown(primary_feature.description)
          - if primary_feature.documentation_link != nil
            %p
              %i.fa.fa-book
              %a{href: "#{primary_feature.documentation_link}", target: "_blank"}
                - if primary_feature.documentation_text
                  = primary_feature.documentation_text
                - else
                  Read through the documentation on
                  = primary_feature.name
        .column.image-column
          - if primary_feature.video
            %figure.video_container
              %iframe{:src => "#{primary_feature.video}", :frameborder => "0", :allowfullscreen => "true"}
          - else
            - if primary_feature.image_noshadow == true
              %img{:src => "#{primary_feature.image_url}", :alt => "#{primary_feature.name}"}/
            - else
              %img{class: "shadow", :src => "#{primary_feature.image_url}", :alt => "#{primary_feature.name}"}/

/ secondary features
%section#secodary-features
  .release-post-section.text-center.zero-bottom-margin
    %h2{:id => "other-improvements-in-gitlab"}
      %a.header-link{href: "#other-improvements-in-gitlab"}
      = "Other Improvements in GitLab #{current_article.data.release_number}"
  .release-row.align-top.divider
    .column
      - datafile.features.secondary.each_with_index do |secondary_feature, i|
        - if i.even?
          %h3{:id => "#{secondary_feature.name.downcase.tr(" ", "-")}"}
            %a.header-link{href: "##{secondary_feature.name.downcase.tr(" ", "-")}"}
            = secondary_feature.name
            .badge-container
              - secondary_feature.available_in.each do |available_in|
                - if available_in == "ce"
                  %a{"title" => "GitLab Community Edition", "data-toggle" => "tooltip", "data-placement" => "top"}
                    %span{class: "#{available_in}"}
                      = "#{available_in}"
                - if available_in == "ees"
                  %a{"title" => "GitLab Enterprise Edition Starter", "data-toggle" => "tooltip", "data-placement" => "top"}
                    %span{class: "#{available_in}"}
                      = "#{available_in}"
                - if available_in == "eep"
                  %a{"title" => "GitLab Enterprise Edition Premium", "data-toggle" => "tooltip", "data-placement" => "top"}
                    %span{class: "#{available_in}"}
                      = "#{available_in}"
          = kramdown(secondary_feature.description)
          - if secondary_feature.image_url != nil
            - if secondary_feature.image_noshadow == true
              %img{:src => "#{secondary_feature.image_url}", :alt => "#{secondary_feature.name}"}/
            - else
              %img{class: "shadow", :src => "#{secondary_feature.image_url}", :alt => "#{secondary_feature.name}"}/
          - if secondary_feature.documentation_link != nil
            %p
              %i.fa.fa-book
              %a{href: "#{secondary_feature.documentation_link}", target: "_blank"}
                - if secondary_feature.documentation_text
                  = secondary_feature.documentation_text
                - else
                  Read through the documentation on
                  = secondary_feature.name

    .column
      - datafile.features.secondary.each_with_index do |secondary_feature, i|
        - if i.odd?
          %h3{:id => "#{secondary_feature.name.downcase.tr(" ", "-")}"}
            %a.header-link{href: "##{secondary_feature.name.downcase.tr(" ", "-")}"}
            = secondary_feature.name
            .badge-container
              - secondary_feature.available_in.each do |available_in|
                - if available_in == "ce"
                  %a{"title" => "GitLab Community Edition", "data-toggle" => "tooltip", "data-placement" => "top"}
                    %span{class: "#{available_in}"}
                      = "#{available_in}"
                - if available_in == "ees"
                  %a{"title" => "GitLab Enterprise Edition Starter", "data-toggle" => "tooltip", "data-placement" => "top"}
                    %span{class: "#{available_in}"}
                      = "#{available_in}"
                - if available_in == "eep"
                  %a{"title" => "GitLab Enterprise Edition Premium", "data-toggle" => "tooltip", "data-placement" => "top"}
                    %span{class: "#{available_in}"}
                      = "#{available_in}"
          = kramdown(secondary_feature.description)
          - if secondary_feature.image_url != nil
            - if secondary_feature.image_noshadow == true
              %img{:src => "#{secondary_feature.image_url}", :alt => "#{secondary_feature.name}"}/
            - else
              %img{class: "shadow", :src => "#{secondary_feature.image_url}", :alt => "#{secondary_feature.name}"}/
          - if secondary_feature.documentation_link != nil
            %p
              %i.fa.fa-book
              %a{href: "#{secondary_feature.documentation_link}", target: "_blank"}
                - if secondary_feature.documentation_text
                  = secondary_feature.documentation_text
                - else
                  Read through the documentation on
                  = secondary_feature.name

/ complementary information
- if datafile.extras != nil
  %section.release-post-section
    %h2.text-center{:id => "#{datafile.extras.header.downcase.tr(" ", "-")}"}
      %a.header-link{href: "##{datafile.extras.header.downcase.tr(" ", "-")}"}
      = datafile.extras.header
      - datafile.extras.blocks.each do |extra_block|
        %h3{:id => "#{extra_block.title.downcase.tr(" ", "-")}"}
          %a.header-link{href: "##{extra_block.title.downcase.tr(" ", "-")}"}
          = extra_block.title
        = kramdown(extra_block.description)

/ deprecations
- if datafile.deprecations != nil
  %section#deprecations.release-post-section
    %h2.text-center{:id => "release-deprecations"}
      %a.header-link{href: "#release-deprecations"}
      Deprecations
    - datafile.deprecations.each do |deprecation|
      %h3{:id => "#{deprecation.feature_name.downcase.tr(" ", "-")}"}
        %a.header-link{href: "##{deprecation.feature_name.downcase.tr(" ", "-")}"}
        = deprecation.feature_name
      = kramdown(deprecation.description)
      %p
        Due:
        %strong= "#{deprecation.due}"

/ Updgrade barometer
%section#upgrade-barometer.release-post-section
  - datafile.barometer do |barometer|
    %h2.text-center{:id => "barometer"}
      %a.header-link{href: "#barometer"}
      Upgrade barometer
    = kramdown(barometer.description)
